Subject: bug#48649: closed (Re: bug#48649: Guix doesn't boot with LUKS root partition)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Aug 2021 04:12:02 +0000

Your bug report

#48649: Guix doesn't boot with LUKS root partition

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48649: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48649
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48649: Guix doesn't boot with LUKS root partition
From: Maxim Cournoyer <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked], Juraj Hlista <[email-masked]>
Date: Tue, 24 Aug 2021 00:11:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Tobias Geerinckx-Rice <[email-masked]> writes:

> Juraj Hlista 写道：
>> Not sure how the i915 module is related to LUKS though.
>
> Not, all all.  You should see the same apparent ‘freeze’ when booting
> the system without LUKS with ‘--repl’ on the kernel command line.
>
> Linux prompts for the LUKS passphrase early, and (obviously :-) before
> the root file system is mounted.  The kernel needs to display this
> prompt.  The root file system contains all drivers. See the deadlock?
>
> Adding i915 to the initrd will ensure that it is loaded before the
> initrd tries to mount / and asks you for the passphrase, so 
> everything will work fine.  Building i915 into the kernel would have
> the same effect.

Seems this issue was about not having a required video driver in the
init RAM disk, rather than LUKS support.

Closing.

Glad you got it solved!

Maxim

Subject: Guix doesn't boot with LUKS root partition
From: Juraj Hlista <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 25 May 2021 09:24:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I have Librem 14 (coreboot/seaBIOS) with Samsung 970 Evo Plus 2TB SSD. I installed Guix manually, the disk has MBR partition table and these partitions:

/dev/nvme0n1p1 - 1GB, Linux (83), bootable
/dev/nvme0n1p2 - 1.8TB, Linux (83)

The nvme0n1p1 (/boot) is unencrypted with ext4:
mkfs.ext4 -L system-boot /dev/nvme0n1p1

The nvme0n1p2 (/) is encrypted using LUKS and on top is ext4:
cryptsetup luksFormat /dev/nvme0n1p2
cryptsetup open /dev/nvme0n1p2 luks
mkfs.ext4 -L system-root /dev/mapper/luks

mount LABEL=system-root /mnt
mkdir /mnt/etc /mnt/boot
mount LABEL=system-boot /mnt/boot

herd start cow-store /mnt

The relevant part on /mnt/etc/config.scm:

(bootloader
  (bootloader-configuration
    (bootloader grub-bootloader)
    (target "/dev/nvme0n1")))
(mapped-devices
  (list (mapped-device
          (source (uuid "..."))
          (target "luks")
          (type luks-device-mapping))))
(file-systems
  (cons* (file-system
           (mount-point "/")
           (device "/dev/mapper/luks")
           (type "ext4")
           (dependencies mapped-devices))
         %base-file-systems)))

guix system init /mnt/etc/config.scm /mnt

Installation is without any errors. After rebooting grub asks for a password to decrypt LUKS partition, then gives me the boot menu. When I hit enter, the laptop gets stuck, I can't do ctrl+alt+f3,f4... only ctrl+alt+del works.

Attached are pictures from grub.

I also tried to use unencrypted root partition (basically the same as above, but without LUKS) and it works.

Thanks,
J